Package ghidra.app.util.bin.format.coff

# Class AoutHeader

java.lang.Object
ghidra.app.util.bin.format.coff.AoutHeader

All Implemented Interfaces:
  `StructConverter`

Direct Known Subclasses:
  `AoutHeaderMIPS`

public class AoutHeader extends Object implements StructConverter

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `bsize`
  `protected int`
  `data_start`
  `protected int`
  `dsize`
  `protected int`
  `entry`
  `protected short`
  `magic`
  `static final int`
  `SIZEOF`
  `protected int`
  `text_start`
  `protected int`
  `tsize`
  `protected short`
  `vstamp`

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getEntry()`
  `int`
  `getInitializedDataSize()`
  `int`
  `getInitializedDataStart()`
  `short`
  `getMagic()`
  `int`
  `getTextSize()`
  `int`
  `getTextStart()`
  `int`
  `getUninitializedDataSize()`
  `short`
  `getVersionStamp()`
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SIZEOF

    public static final int SIZEOF
    See Also:
      - Constant Field Values

  - ### magic

    protected short magic

  - ### vstamp

    protected short vstamp

  - ### tsize

    protected int tsize

  - ### dsize

    protected int dsize

  - ### bsize

    protected int bsize

  - ### entry

    protected int entry

  - ### text_start

    protected int text_start

  - ### data_start

    protected int data_start

- ## Method Details

  - ### getMagic

    public short getMagic()

  - ### getVersionStamp

    public short getVersionStamp()

  - ### getTextSize

    public int getTextSize()

  - ### getInitializedDataSize

    public int getInitializedDataSize()

  - ### getUninitializedDataSize

    public int getUninitializedDataSize()

  - ### getEntry

    public int getEntry()

  - ### getTextStart

    public int getTextStart()

  - ### getInitializedDataStart

    public int getInitializedDataStart()

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Specified by:
      `toDataType` in interface `StructConverter`
    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException` - if an IO-related error occurs
    See Also:
      - `StructureDataType`